SICP
Keywords: uk.ac.ic.doc.rodex.p2p.protocol.SICP class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.p2p.protocol
Class SICP

    java.lang.Object
      uk.ac.ic.doc.rodex.p2p.protocol.SICP

    public class SICP

extends java.lang.Object

SICP.java
Schema Information Control Protocol: provides standard interface functions for publishing/obtaining information regarding resources on the P2P network.

Author:
  Duc M Le dmle@doc.ic.ac.uk
  Created on April 10, 2006
  Department of Computing, Imperial College

Method Summary
`static SICP` | `getInstance(AutoMedPeer mainPeer)` Return a single instance of SICP protocol
`java.lang.String` | `getLinkAddress()` Return the IP address of the network interface which connects a peer to the network
`boolean` | `isLinkUp()` Test whether or not the peer's link to the network is up
`static void` | `main(java.lang.String[] args)`
`java.util.List` | `requestAbstractPathwayToSource(java.lang.String schemaName)` Peer->DS: A peer invokes this method to request the directory service about possible pathways to data source for a public schema that the peer knows

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SICP getInstance(AutoMedPeer mainPeer)

  Return a single instance of SICP protocol

### requestAbstractPathwayToSource

    public java.util.List requestAbstractPathwayToSource(java.lang.String schemaName)
                                                  throws CommunicationException,
                                                         AutoMedException

  Peer->DS: A peer invokes this method to request the directory service about possible pathways to data source for a public schema that the peer knows

  Returns:
    List a list of `PathwayDescripition` objects
  Throws:
    `CommunicationException`
    `AutoMedException`

### isLinkUp

    public boolean isLinkUp()

  Test whether or not the peer's link to the network is up

### getLinkAddress

    public java.lang.String getLinkAddress()

  Return the IP address of the network interface which connects a peer to the network

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD